﻿using System.Windows.Forms;
using Fullfree.Client;

namespace CTI_WinForms_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            var cti = new CtiSystem();
            //cti.ResellerKey = "000000000-000000000-000000000"; // xCTIの場合は指定が必要
            cti.PhoneCalled += CtiPhoneCalled;
            cti.Start(); // 着信電話番号の取得を開始

            Closed += delegate { cti.Stop(); };
        }

        // 電話着信時に呼ばれます
        private void CtiPhoneCalled(ICtiSystem sender, ICtiCallInfo info)
        {
            MessageBox.Show("着信電話番号：" + info.Tel);
        }
    }
}
